List introduction instances
curl --request GET \
--url https://api.doozy.live/v1/introductions/{introduction_id}/instances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/introductions/{introduction_id}/instances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/introductions/{introduction_id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/introductions/{introduction_id}/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/introductions/{introduction_id}/instances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/introductions/{introduction_id}/instances")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/introductions/{introduction_id}/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "introduction_instance",
"id": "K2CC1FIYz0JGcnCsNbIa",
"introduction_id": "H45xq8UBtUJxmSs294Gu",
"state": "completed",
"error_code": "not_enough_members",
"error_message": "Unable to find enough members to match",
"match_at": "2024-02-01T09:00:00.000Z",
"notify_at": "2024-01-31T09:00:00.000Z",
"remind_at": "2024-02-03T09:00:00.000Z",
"user_count": 20,
"match_count": 10,
"skipped_users": [
{
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com"
}
],
"created_at": "2024-01-28T10:30:00.000Z",
"updated_at": "2024-01-29T14:00:00.000Z"
}
],
"has_more": true,
"url": "/v1/introductions/H45xq8UBtUJxmSs294Gu/instances"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Introductions
List introduction instances
List all instances (rounds) for a specific introduction. Each instance represents one matching cycle. Results are paginated and sorted by match date (newest first).
GET
/
v1
/
introductions
/
{introduction_id}
/
instances
List introduction instances
curl --request GET \
--url https://api.doozy.live/v1/introductions/{introduction_id}/instances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/introductions/{introduction_id}/instances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/introductions/{introduction_id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/introductions/{introduction_id}/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/introductions/{introduction_id}/instances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/introductions/{introduction_id}/instances")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/introductions/{introduction_id}/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "introduction_instance",
"id": "K2CC1FIYz0JGcnCsNbIa",
"introduction_id": "H45xq8UBtUJxmSs294Gu",
"state": "completed",
"error_code": "not_enough_members",
"error_message": "Unable to find enough members to match",
"match_at": "2024-02-01T09:00:00.000Z",
"notify_at": "2024-01-31T09:00:00.000Z",
"remind_at": "2024-02-03T09:00:00.000Z",
"user_count": 20,
"match_count": 10,
"skipped_users": [
{
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com"
}
],
"created_at": "2024-01-28T10:30:00.000Z",
"updated_at": "2024-01-29T14:00:00.000Z"
}
],
"has_more": true,
"url": "/v1/introductions/H45xq8UBtUJxmSs294Gu/instances"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
Response
List of introduction instances
Was this page helpful?